This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 910507 - (kiriki) Review Request: kiriki - A dice game
Review Request: kiriki - A dice game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: nucleo
Fedora Extras Quality Assurance
:
Depends On: libkdegames
Blocks: kde-reviews kde-4.10
  Show dependency treegraph
 
Reported: 2013-02-12 13:35 EST by Rex Dieter
Modified: 2013-02-16 13:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-16 13:00:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alekcejk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-02-12 13:35:09 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kiriki.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kiriki-4.10.0-1.fc18.src.rpm
Description: A dice game
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-14 16:34:28 EST
Code under GPLv2+ license, doc under GFDL, license tag must be:

License: GPLv2+ and GFDL

COPYING.DOC must be added in %doc

Detailed %description from documentation:

Kiriki is an addictive and fun dice game for KDE, designed to be played by as
many as six players. Participants have to collect points by rolling five dice
for up to three times per single turn. Each roll generates a specific
combination of numbers which the player is free to either accept or decline.
However, each specific combination of numbers can be accepted only once.
After thirteen turns the game ends and the scores are compared.
The player with the largest amount of points wins the game.


rpmlint output:
$ rpmlint kiriki-4.10.0-1.fc18.i686.rpm kiriki-debuginfo-4.10.0-1.fc18.i686.rpm kiriki-4.10.0-1.fc18.src.rpm kiriki.spec 
kiriki.i686: W: no-manual-page-for-binary kiriki
kiriki.src:66: W: macro-in-comment %{name}
kiriki.src:67: W: macro-in-comment %{name}
kiriki.src:70: W: macro-in-comment %{name}
kiriki.spec:66: W: macro-in-comment %{name}
kiriki.spec:67: W: macro-in-comment %{name}
kiriki.spec:70: W: macro-in-comment %{name}
3 packages and 1 specfiles checked; 0 errors, 7 warnings.

All commented lines should be removed.
Comment 2 nucleo 2013-02-14 16:35:52 EST
Also please add notices for parts under different licenses.
Comment 3 Rex Dieter 2013-02-14 16:40:24 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kiriki.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kiriki-4.10.0-2.fc18.src.rpm

%changelog
* Thu Feb 14 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- updated description, license
Comment 4 nucleo 2013-02-14 16:45:16 EST
MUST Items:
+ rpmlint output
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name kiriki-4.10.0.tar.xz
+ spec file name kiriki.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 8e86af29b4ee6290688be3f9aa0db99c  kiriki-4.10.0.tar.xz
  SHA1: 57b17dccf458a7260732c8d1c3724451a104fdf1  kiriki-4.10.0.tar.xz
  SHA256: 7b2d1a89bf92996cbaa1e2b7f3f5c99dd5b9742b3e3b1ff2ae8b034d65ba769f  kiriki-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, images under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kiriki.desktop file for the GUI app kiriki present
+ desktop-file-validate is used in %check and the kiriki.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from kiriki's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 5 nucleo 2013-02-14 17:08:26 EST
rpmlint output fine:
$ rpmlint kiriki-4.10.0-1.fc18.i686.rpm kiriki-debuginfo-4.10.0-1.fc18.i686.rpm kiriki-4.10.0-2.fc18.src.rpm kiriki.spec 
kiriki.i686: W: no-manual-page-for-binary kiriki
3 packages and 1 specfiles checked; 0 errors, 1 warnings.
Comment 6 Rex Dieter 2013-02-15 08:35:46 EST
New Package SCM Request
=======================
Package Name: kiriki
Short Description: A dice game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 7 Jon Ciesla 2013-02-15 09:00:07 EST
Git done (by process-git-requests).
Comment 8 Rex Dieter 2013-02-16 13:00:56 EST
imported

Note You need to log in before you can comment on or make changes to this bug.